Page MenuHomePhabricator

Use IEC units (KiB, MiB, etc.) and not SI units (KB, MB)
Open, LowPublic

Description

Author: zefling

Description:
Why Mediawiki dont' use KiB, MiB, etc. ?

https://en.wikipedia.org/wiki/Binary_prefix


Version: 1.22.0
Severity: enhancement

Details

Reference
bz52687

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:02 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz52687.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 10 2013, 4:11 AM

The messages are defined in MessagesEn.php:
'size-bytes' => '$1 B', # only translate this message to other languages if you have to change it
'size-kilobytes' => '$1 KB', # only translate this message to other languages if you have to change it
'size-megabytes' => '$1 MB', # only translate this message to other languages if you have to change it
'size-gigabytes' => '$1 GB', # only translate this message to other languages if you have to change it
'size-terabytes' => '$1 TB', # only translate this message to other languages if you have to change it
'size-petabytes' => '$1 PB', # only translate this message to other languages if you have to change it
'size-exabytes' => '$1 EB', # only translate this message to other languages if you have to change it
'size-zetabytes' => '$1 ZB', # only translate this message to other languages if you have to change it
'size-yottabytes' => '$1 YB', # only translate this message to other languages if you have to change it

This is not an i18n issue. Some languages have opted to use binary prefixes already by translating these messages.

This issue is about "What people are used to" vs. "What is technically correct".

This should probably be discussed on English communities if such a change is wanted. And this might be a really good bikeshed.

Note: SI units are power-of-ten based, IEC units are power-of-two based.
Also see http://en.wikipedia.org/wiki/Binary_prefix

zefling wrote:

Okay, in French version, it's Kio (Kibi-octet), Mio (Mégi-octet). The French community has already decided.

Coming here from https://translatewiki.net/wiki/Thread:Support/File_size_messages .

As the consumers vs. hard disk producers wars clearly show, the vast majority of the population interprets "GB" as "GiB". The binary prefixes, while greatly appreciated and used by enthusiasts like me, are not so widely adopted globally. Some languages and operative systems are more precise and use them.

It's not a trivial decision.

D.U.Thibault wrote:

"This issue is about "What people are used to" vs. "What is technically
correct"."

A tiresome argument. The pseudo-SI symbols are just plain wrong at worst, ambiguous at best. There is absolutely no reason to be wishy-washy about this: no ordinary consumer is going to complain of "not understanding the symbols" once he's been pointed to the abundant literature that explains the issue. People are not stupid, they actually like learning new things.

(In reply to comment #5)

A tiresome argument. The pseudo-SI symbols are just plain wrong at worst,
ambiguous at best. There is absolutely no reason to be wishy-washy about
this:
no ordinary consumer is going to complain of "not understanding the symbols"
once he's been pointed to the abundant literature that explains the issue.
People are not stupid, they actually like learning new things.

Can you clarify if by "pseudo-SI symbols" you mean GB or GiB? Your comment can be read in both ways.

D.U.Thibault wrote:

(In reply to comment #6)

(In reply to comment #5)

A tiresome argument. The pseudo-SI symbols are just plain wrong at worst,
ambiguous at best.

Can you clarify if by "pseudo-SI symbols" you mean GB or GiB? Your comment
can be read in both ways.

Sadly true. I meant KB, GB, etc. Pseudo-SI because they look like SI (the upper case K is wrong) but their values are different.

(In reply to comment #7)

Sadly true. I meant KB, GB, etc. Pseudo-SI because they look like SI (the
upper
case K is wrong) but their values are different.

Thanks for clarifying. For what it's worth, the upper K is a separate issue, and a mistake that not all languages and sectors allow themselves: see https://translatewiki.net/w/i.php?title=Special%3ATranslations&message=MediaWiki%3ASize-kilobytes&namespace=1256

D.U.Thibault wrote:

(In reply to Nemo from comment #8)

For what it's worth, the upper K is a separate issue,
and a mistake that not all languages and sectors allow themselves: see
https://translatewiki.net/w/i.
php?title=Special%3ATranslations&message=MediaWiki%3ASize-
kilobytes&namespace=1256

That link lists the various translations for the "Size-kilobytes" message...whose description clearly states its measured in kibibytes. The resulting mess is awesome. Some languages have the correct kibi symbol, others use an ambiguous K, and some use a plainly wrong k. Not to mention those who use a Greek Chi or some such.

So you know all those languages to nkow what's right and wrong? I remember you we live in a world where some English countries still use ancient era/middle ages units like "foot" and multiply by 12 instead of 10. :)

(In reply to Nemo from comment #11)

So you know all those languages to nkow what's right and wrong? I remember
you we live in a world where some English countries still use ancient
era/middle ages units like "foot" and multiply by 12 instead of 10. :)

To be fair, if we counted in base 12, things would be so much better, as 12 has many more factors than 10, which is a good quality in a unit of measure, since you are more likely to divide things out evenly.


As for the actual proposal - I'm all for changing english to KiB, at least in english, but its not something that I care enough about to have a flamewar over, so I don't exactly want to upload a patch for it ;)

D.U.Thibault wrote:

(In reply to Nemo from comment #11)

So you know all those languages to nkow what's right and wrong? I remember
you we live in a world where some English countries still use ancient
era/middle ages units like "foot" and multiply by 12 instead of 10. :)

Symbols, when backed by IEEE, IEC, ISO or whatever, are translingual. No translation required. The nature of the quantity being reported by the message is *not* influenced by the language it is in.

That may be the ideal, but it is far from true in practice. Most languages using non-latin scripts will at least transliterate the symbols.

gerritbot added a subscriber: gerritbot.

Change 179450 had a related patch set uploaded (by Nemo bis):
mediawiki.inspect: Use binary prefixes for human sizes

https://gerrit.wikimedia.org/r/179450

Patch-For-Review

Nemo_bis renamed this task from Use IEC units (KiB, MiB, etc.) and not SI units (KB, MB) on file description to Use IEC units (KiB, MiB, etc.) and not SI units (KB, MB).Jan 23 2015, 9:39 PM
Nemo_bis changed the task status from Open to Stalled.
Nemo_bis set Security to None.
Jdforrester-WMF closed this task as Resolved.Jan 5 2016, 10:48 PM
Jdforrester-WMF assigned this task to Fomafix.
Jdforrester-WMF edited projects, added Multimedia; removed Patch-For-Review.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJan 5 2016, 10:48 PM

Change 179450 merged by jenkins-bot:
mediawiki.inspect: Use binary prefixes for human sizes

https://gerrit.wikimedia.org/r/179450

Nemo_bis changed the task status from Resolved to Invalid.Jan 6 2016, 2:12 PM

The original task is about more than one JavaScript module, this is not resolved. However, there is little gain in keeping it open unless it's clarified what we really want to change.

This is not an i18n issue. Some languages have opted to use binary prefixes already by translating these messages.

Or in other words, please change the translations (including en-GB, I guess, as UK formally uses ISO units nowadays).

Jdforrester-WMF reopened this task as Open.Jan 6 2016, 4:06 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

The original task is about more than one JavaScript module, this is not resolved. However, there is little gain in keeping it open unless it's clarified what we really want to change.

This is not an i18n issue. Some languages have opted to use binary prefixes already by translating these messages.

Or in other words, please change the translations (including en-GB, I guess, as UK formally uses ISO units nowadays).

It's not a question of language, though. If the number scale is different then the number format is different too – 5.0 KiB == 5.1 KB. You can't just magically change the output unit string without changing the formatter.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2016, 4:06 PM
Fomafix removed Fomafix as the assignee of this task.Jan 27 2016, 11:05 PM
Fomafix added a subscriber: Fomafix.
Dzahn removed a subscriber: Dzahn.Jan 27 2016, 11:58 PM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.Dec 6 2016, 4:24 PM